gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. ButtonBox is a container for laying out widgets.

A button box should be used to provide a consistent layout of buttons throughout your application. Specific button boxes are for horizontal groups of buttons, and for vertical button groups.

Gtk.Box Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.UInt32 The type ID for the enumerated type.
- Method
  System.Void `` `` Sets whether should appear in a secondary group of children. A typical use of a secondary child is the help button in a dialog. A widget that is already packed into this button box if should be placed in a secondary group, otherwise.

  A secondary group appears after the other children if the style is , or , and before the the other children if the style is . For horizontal button boxes, the definition of before/after depends on direction of the widget (see ). If the style is or , then the secondary children are aligned at the other end of the button box from the main children. For the other styles, they appear immediately next to the main children.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of ButtonBox, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of ButtonBox, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Internal constructor
- Property
  System.UInt32 The GLib Type for Gtk.ButtonBox The GLib TYpe for the Gtk.ButtonBox class.
- Property
  Gtk.ButtonBoxStyle `` Alter the way the buttons in this box are arranged. the new style to arrange the buttons in. The style that the child widgets are currently arranged in. See for more information about the styles of button boxes.
- Property
  Gtk.ButtonBoxStyle `` See